{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "图书",
    "lanResTag" : "DE.LNAME.IBIZBOOK",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto395",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZBOOK]",
    "rTMOSFilePath" : "pslanguageres/Auto395",
    "refFlag" : true
  },
  "caption" : "avue组件测试",
  "codeName" : "IBIZBOOKavueEditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKavueEditView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView",
  "name" : "IBIZBOOKavueEditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem5",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem5_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem5"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem9",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem9_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem9"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem15",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem15_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem15"
    },
    "getPSViewCtrlName" : "toolbar"
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Save"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem5",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndExit"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "RemoveAndExit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem9",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndStart"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem15",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Print"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  } ],
  "getPSControls" : [ {
    "codeName" : "avueEditViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "工具栏模板（默认编辑界面）",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/avueEditViewtoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "tbitem3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3_click"
      }
    }, {
      "eventArg" : "tbitem5",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem5_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2_click"
      }
    }, {
      "eventArg" : "tbitem9",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem9_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem9_click"
      }
    }, {
      "eventArg" : "tbitem15",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem15_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem15_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1712",
        "name" : "工具栏按钮文本[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto1712",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1712",
          "name" : "工具栏按钮文本[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto1712",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto274",
          "name" : "工具栏按钮提示[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto274",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto274",
        "name" : "工具栏按钮提示[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto274",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto71",
        "name" : "工具栏按钮文本[*.SAVE]",
        "rTMOSFilePath" : "pslanguageres/Auto71",
        "refFlag" : true
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysCss" : {
        "cssName" : "deepskyblueToolBar"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto71",
          "name" : "工具栏按钮文本[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto71",
          "refFlag" : true
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "name" : "工具栏按钮提示[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1630",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1630",
        "name" : "工具栏按钮提示[*.SAVE]",
        "rTMOSFilePath" : "pslanguageres/Auto1630",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "actionLevel" : 250,
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto643",
        "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto643",
        "refFlag" : true
      },
      "caption" : "保存并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5"
      },
      "getPSSysImage" : {
        "cssClass" : "ivu-icon ivu-icon-ios-battery-dead"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto643",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto643",
          "refFlag" : true
        },
        "caption" : "保存并关闭",
        "codeName" : "SaveAndExit",
        "fullCodeName" : "SaveAndExit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/SaveAndExit",
        "name" : "编辑界面_保存并退出操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/SaveAndExit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto271",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto271",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto271",
        "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto271",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto673",
        "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto673",
        "refFlag" : true
      },
      "caption" : "删除并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto673",
          "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto673",
          "refFlag" : true
        },
        "caption" : "删除并关闭",
        "codeName" : "RemoveAndExit",
        "fullCodeName" : "RemoveAndExit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/RemoveAndExit",
        "name" : "编辑界面_删除并退出操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "EDITVIEW_REMOVEANDEXITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/RemoveAndExit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1207",
          "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto1207",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "RemoveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1207",
        "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto1207",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem8",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "打印",
        "lanResTag" : "TBB.TEXT.*.PRINT",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto59",
        "name" : "工具栏按钮文本[*.PRINT]",
        "rTMOSFilePath" : "pslanguageres/Auto59",
        "refFlag" : true
      },
      "caption" : "打印",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem15",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem15"
      },
      "getPSSysImage" : {
        "glyph" : "xf02f@FontAwesome",
        "cssClass" : "fa fa-print"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "打印",
          "lanResTag" : "TBB.TEXT.*.PRINT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto59",
          "name" : "工具栏按钮文本[*.PRINT]",
          "rTMOSFilePath" : "pslanguageres/Auto59",
          "refFlag" : true
        },
        "caption" : "打印",
        "codeName" : "Print",
        "fullCodeName" : "Print",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Print",
        "name" : "编辑界面_打印操作",
        "getPSSysImage" : {
          "glyph" : "xf02f@FontAwesome",
          "cssClass" : "fa fa-print"
        },
        "predefinedType" : "EDITVIEW_PRINTACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Print",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "打印",
          "lanResTag" : "TBB.TOOLTIP.*.PRINT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1134",
          "name" : "工具栏按钮提示[*.PRINT]",
          "rTMOSFilePath" : "pslanguageres/Auto1134",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Print",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "打印",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "打印",
        "lanResTag" : "TBB.TOOLTIP.*.PRINT",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1134",
        "name" : "工具栏按钮提示[*.PRINT]",
        "rTMOSFilePath" : "pslanguageres/Auto1134",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView/psappviewctrls/toolbar",
    "modelid" : "b912ff540f5614f63914a38067d84728",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "AvueForm",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/AvueForm.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "avue组件表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/AvueForm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "formitem",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "formitem1",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "formitem2",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "formitem3",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "formitem4",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "formitem5",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "formitem6",
      "dataType" : 25
    }, {
      "id" : "formitem7",
      "dataType" : 25
    }, {
      "id" : "formitem8",
      "dataType" : 25
    }, {
      "id" : "formitem9",
      "dataType" : 25
    }, {
      "id" : "formitem17",
      "dataType" : 25
    }, {
      "id" : "formitem18",
      "dataType" : 25
    }, {
      "id" : "formitem30",
      "dataType" : 25
    }, {
      "id" : "formitem29",
      "dataType" : 25
    }, {
      "id" : "formitem24",
      "dataType" : 25
    }, {
      "id" : "formitem25",
      "dataType" : 25
    }, {
      "id" : "formitem23",
      "dataType" : 25
    }, {
      "id" : "formitem28",
      "dataType" : 25
    }, {
      "id" : "formitem27",
      "dataType" : 25
    }, {
      "id" : "formitem19",
      "dataType" : 25
    }, {
      "id" : "formitem20",
      "dataType" : 25
    }, {
      "id" : "formitem26",
      "dataType" : 25
    }, {
      "id" : "formitem21",
      "dataType" : 25
    }, {
      "id" : "formitem22",
      "dataType" : 25
    }, {
      "id" : "formitem10",
      "dataType" : 25
    }, {
      "id" : "formitem11",
      "dataType" : 25
    }, {
      "id" : "formitem12",
      "dataType" : 25
    }, {
      "id" : "formitem14",
      "dataType" : 25
    }, {
      "id" : "formitem13",
      "dataType" : 25
    }, {
      "id" : "formitem15",
      "dataType" : 25
    }, {
      "id" : "formitem16",
      "dataType" : 25
    }, {
      "id" : "ibizbookid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
        "name" : "grouppanel1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书类型",
            "lanResTag" : "DEF.LNAME.TYPE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2088",
            "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
            "rTMOSFilePath" : "pslanguageres/Auto2088",
            "refFlag" : true
          },
          "caption" : "单选框（默认）",
          "codeName" : "formitem",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem",
          "name" : "formitem",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "RADIOBUTTONLIST",
            "name" : "formitem",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书类型",
            "lanResTag" : "DEF.LNAME.TYPE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2088",
            "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
            "rTMOSFilePath" : "pslanguageres/Auto2088",
            "refFlag" : true
          },
          "caption" : "单选框（小按钮）",
          "codeName" : "formitem1",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem1",
          "name" : "formitem1",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorParams" : {
              "size" : "small",
              "button" : "true"
            },
            "editorType" : "RADIOBUTTONLIST",
            "name" : "formitem1",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem1",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书类型",
            "lanResTag" : "DEF.LNAME.TYPE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2088",
            "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
            "rTMOSFilePath" : "pslanguageres/Auto2088",
            "refFlag" : true
          },
          "caption" : "单选框（大边框）",
          "codeName" : "formitem2",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem2",
          "name" : "formitem2",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorParams" : {
              "border" : "true",
              "size" : "large"
            },
            "editorType" : "RADIOBUTTONLIST",
            "name" : "formitem2",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem2",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书销售状态",
            "lanResTag" : "DEF.LNAME.SAILSTATE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1848",
            "name" : "属性逻辑名称（DEF.LNAME.*）[SAILSTATE]",
            "rTMOSFilePath" : "pslanguageres/Auto1848",
            "refFlag" : true
          },
          "caption" : "多选框（默认）",
          "codeName" : "formitem3",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem3",
          "name" : "formitem3",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorType" : "CHECKBOXLIST",
            "name" : "formitem3",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem3",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书销售状态",
            "lanResTag" : "DEF.LNAME.SAILSTATE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1848",
            "name" : "属性逻辑名称（DEF.LNAME.*）[SAILSTATE]",
            "rTMOSFilePath" : "pslanguageres/Auto1848",
            "refFlag" : true
          },
          "caption" : "多选框（小按钮）",
          "codeName" : "formitem4",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem4",
          "name" : "formitem4",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorParams" : {
              "size" : "small",
              "button" : "true"
            },
            "editorType" : "CHECKBOXLIST",
            "name" : "formitem4",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem4",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书销售状态",
            "lanResTag" : "DEF.LNAME.SAILSTATE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1848",
            "name" : "属性逻辑名称（DEF.LNAME.*）[SAILSTATE]",
            "rTMOSFilePath" : "pslanguageres/Auto1848",
            "refFlag" : true
          },
          "caption" : "多选框（大边框）",
          "codeName" : "formitem5",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem5",
          "name" : "formitem5",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorParams" : {
              "border" : "true",
              "size" : "large"
            },
            "editorType" : "CHECKBOXLIST",
            "name" : "formitem5",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem5",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "树形选择器",
          "codeName" : "formitem6",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem6",
          "name" : "formitem6",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorStyle" : "TREESELECT",
            "editorType" : "DROPDOWNLIST",
            "name" : "formitem6",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CascaderCodeList.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem6",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "树形选择器（多选）",
          "codeName" : "formitem7",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem7",
          "name" : "formitem7",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "multiple" : "true"
            },
            "editorStyle" : "TREESELECT",
            "editorType" : "MDROPDOWNLIST",
            "name" : "formitem7",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CascaderCodeList.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem7",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "级联选择器",
          "codeName" : "formitem8",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem8",
          "name" : "formitem8",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorStyle" : "CASCADER",
            "editorType" : "DROPDOWNLIST",
            "name" : "formitem8",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CascaderCodeList.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem8",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "级联选择器（多）",
          "codeName" : "formitem9",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem9",
          "name" : "formitem9",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorStyle" : "CASCADER",
            "editorType" : "MDROPDOWNLIST",
            "name" : "formitem9",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CascaderCodeList.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem9",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "下拉列表",
          "codeName" : "formitem17",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem17",
          "name" : "formitem17",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "formitem17",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem17",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "下拉列表（多）",
          "codeName" : "formitem18",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem18",
          "name" : "formitem18",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "MDROPDOWNLIST",
            "name" : "formitem18",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem18",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "codeName" : "grouppanel5",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel5",
        "name" : "grouppanel5",
        "getPSDEFormDetails" : [ {
          "caption" : "超链接",
          "codeName" : "formitem30",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem30",
          "name" : "formitem30",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "editorType" : "link",
              "maxlength" : "8",
              "size" : "small",
              "showWordLimit" : "true"
            },
            "editorType" : "ARRAY",
            "name" : "formitem30"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem30",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "图片数组",
          "codeName" : "formitem29",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem29",
          "name" : "formitem29",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "editorType" : "img",
              "limit" : "5"
            },
            "editorType" : "ARRAY",
            "name" : "formitem29"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem29",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "数组选择器",
          "codeName" : "formitem24",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem24",
          "name" : "formitem24",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "editorType" : "default"
            },
            "editorType" : "ARRAY",
            "name" : "formitem24"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem24",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "地图选择器",
          "codeName" : "formitem25",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem25",
          "name" : "formitem25",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "MAPPICKER",
            "name" : "formitem25",
            "getPSEditorItems" : [ {
              "name" : "formitem23"
            }, {
              "name" : "formitem28"
            } ]
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem25",
          "valueItemName" : "formitem23",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem23",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem23",
          "name" : "formitem23",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem23",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem23",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem28",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem28",
          "name" : "formitem28",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem28",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem28",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "数值范围",
          "codeName" : "formitem27",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem27",
          "name" : "formitem27",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "NUMBERRANGE",
            "name" : "formitem27",
            "getPSEditorItems" : [ {
              "name" : "formitem19"
            }, {
              "name" : "formitem20"
            } ]
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem27",
          "valueItemName" : "formitem19",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem19",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem19",
          "name" : "formitem19",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem19",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem19",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem20",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem20",
          "name" : "formitem20",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem20",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem20",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "时间范围",
          "codeName" : "formitem26",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem26",
          "name" : "formitem26",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "type" : "datetimerange",
              "unlinkPanels" : "true",
              "endPlaceholder" : "结束时间提示",
              "startPlaceholder" : "开始时间提示",
              "valueFormat" : "MM-dd HH:mm:ss",
              "format" : "yyyy-MM-dd HH:mm:ss",
              "mode" : "dateTime"
            },
            "editorType" : "DATERANGE",
            "name" : "formitem26",
            "getPSEditorItems" : [ {
              "name" : "formitem21"
            }, {
              "name" : "formitem22"
            } ]
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem26",
          "valueItemName" : "formitem21",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem21",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem21",
          "name" : "formitem21",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem21",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem21",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "codeName" : "formitem22",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem22",
          "name" : "formitem22",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "formitem22",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem22",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel5",
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "分组标题-直接内容增强",
        "codeName" : "grouppanel2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel2",
        "name" : "grouppanel2",
        "getPSDEFormDetails" : [ {
          "codeName" : "rawitem1",
          "contentType" : "VIDEO",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem1",
          "name" : "rawitem1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "VIDEO",
            "name" : "rawitem1"
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem1",
          "rawContent" : "videoParams={path:'https://vd3.bdstatic.com/mda-kg2s188sus73uyed/v1-cae/sc/mda-kg2s188sus73uyed.mp4?v_from_s=hkapp-haokan-hna&auth_key=1675325526-0-0-8930c32d006e26d7c741b59ce8b8ee03&bcevod_channel=searchbox_feed&pd=1&cd=0&pt=3&logid=2526844596&vid=17508511918411322157&abtest=&klogid=2526844596', mute:true,autoplay: true,replay:true,showcontrols: true}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem2",
          "contentType" : "DIVIDER",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem2",
          "name" : "rawitem2",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "DIVIDER",
            "name" : "rawitem2",
            "rawContent" : "{contentPosition:'center',html:'分割线的标题'}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem2",
          "rawContent" : "{contentPosition:'center',html:'分割线的标题'}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem3",
          "contentType" : "PLACEHOLDER",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem3",
          "name" : "rawitem3",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "PLACEHOLDER",
            "name" : "rawitem3"
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem3",
          "rawContent" : "占位",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem4",
          "contentType" : "INFO",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem4",
          "name" : "rawitem4",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "INFO",
            "name" : "rawitem4",
            "rawContent" : "{title: '这是常规提示信息',closeable: true,showIcon: false,}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem4",
          "rawContent" : "{title: '这是常规提示信息',closeable: true,showIcon: false,}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem5",
          "contentType" : "WARNING",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem5",
          "name" : "rawitem5",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "WARNING",
            "name" : "rawitem5",
            "rawContent" : "{title: '这是警告提示信息',closeable: true,showIcon: false,}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem5",
          "rawContent" : "{title: '这是警告提示信息',closeable: true,showIcon: false,}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "rawitem6",
          "contentType" : "ERROR",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "mOSFilePath" : "psdeformdetail_rawitems/rawitem6",
          "name" : "rawitem6",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "ERROR",
            "name" : "rawitem6",
            "rawContent" : "{title: '这是错误提示信息',closeable: true,showIcon: true,}",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rTMOSFilePath" : "psdeformdetail_rawitems/rawitem6",
          "rawContent" : "{title: '这是错误提示信息',closeable: true,showIcon: true,}",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        }, {
          "codeName" : "formitem10",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 0,
          "mOSFilePath" : "psdeformdetail_formitems/formitem10",
          "name" : "formitem10",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "fontWeight" : "600",
              "color" : "red",
              "textAlign" : "center",
              "fontSize" : "16px",
              "value" : "这是标题"
            },
            "editorStyle" : "TITLE",
            "editorType" : "SPAN",
            "name" : "formitem10",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem10",
          "allowEmpty" : true,
          "emptyCaption" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysImage" : {
          "glyph" : "xf1b2@FontAwesome",
          "cssClass" : "fa fa-cube"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel2",
        "titleBarCloseMode" : 1,
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "控件",
        "codeName" : "grouppanel3",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel3",
        "name" : "grouppanel3",
        "getPSDEFormDetails" : [ {
          "caption" : "开关",
          "codeName" : "formitem11",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem11",
          "name" : "formitem11",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "dicData" : "[{label:'黑不溜秋',value:0},{label:'白白嫩嫩',value:1}]"
            },
            "editorType" : "SWITCH",
            "name" : "formitem11"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem11",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "评分器",
          "codeName" : "formitem12",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem12",
          "name" : "formitem12",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "max" : "8",
              "colors" : "{3:'gray',5:'red',6:'blue',7:'green',8:'yellow'}",
              "showText" : "true",
              "texts" : "['不太好','还行','不错','有点东西','大腿毛']"
            },
            "editorType" : "RATING",
            "maxValue" : 5.0,
            "minValue" : 0.0,
            "name" : "formitem12",
            "stepValue" : 1.0
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem12",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "滑动输入条",
          "codeName" : "formitem14",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem14",
          "name" : "formitem14",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "max" : "12",
              "showStops" : "true",
              "min" : "2",
              "step" : "2"
            },
            "editorType" : "SLIDER",
            "name" : "formitem14",
            "stepValue" : 1.0
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem14",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "滑动输入条-范围",
          "codeName" : "formitem13",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem13",
          "name" : "formitem13",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "range" : "true"
            },
            "editorType" : "SLIDER",
            "name" : "formitem13",
            "stepValue" : 1.0
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem13",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "单行文本",
          "codeName" : "formitem15",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem15",
          "name" : "formitem15",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "append" : ".com",
              "prepend" : "http://",
              "maxlength" : "15",
              "showWordLimit" : "true"
            },
            "editorType" : "TEXTBOX",
            "name" : "formitem15"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem15",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "多行文本",
          "codeName" : "formitem16",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/formitem16",
          "name" : "formitem16",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "minRows" : "2",
              "maxRows" : "7",
              "maxlength" : "30",
              "showWordLimit" : "true"
            },
            "editorType" : "TEXTAREA",
            "name" : "formitem16",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/formitem16",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel3",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "408c4c67a2f23263c1155ce8e359ebb6",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "avueEditView",
  "getPSDEViewId" : "86b26da03972dd74dcdb63d9b2b31650",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKavueEditView",
  "title" : "avue组件测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "90886df723c979ba16fd9b386a356b2c",
  "modeltype" : "PSAPPDEVIEW"
}